package chess4j.board;


import org.testng.annotations.Test;

import chess4j.board.File;
import chess4j.board.Rank;
import chess4j.board.Square;


public class SquareTest {

	@Test
	public void valuesTest() {
		for (Rank rank : Rank.values()) {
			for (File file : File.values()) {
				assert(Square.valueOf(file, rank).equals(Square.valueOf(rank, file)));
			}
		}
	}
}
